#!/usr/bin/env node

const { cloneViaCli } = require("../apiConfigUtils/cloneViaCli");
const { setupHusky } = require("../pre-commit/huskySetup/setupHusky");
const { installPlugins } = require("../utils/installPlugins");
const { createEslintConfigFile } = require('../utils/createEslintConfigFile')
const { installEslintExtension } = require('../utils/installEslintExtension')
const { Logger } = require("../utils/Logger")

function postInstall(){
    let isHuskySetupSuccessful = setupHusky()
    if(isHuskySetupSuccessful){
        let isLinterRepoCloningSuccessful = cloneViaCli()
        if(isLinterRepoCloningSuccessful){
            let isPluginsInstalledSuccessfully = installPlugins()
            if(isPluginsInstalledSuccessfully){
                let isEslintConfigFileCreatedSuccessfully = createEslintConfigFile()
                if(isEslintConfigFileCreatedSuccessfully){
                    let isEslintExtensionInstalled = installEslintExtension()
                    if(isEslintExtensionInstalled){
                        Logger.log(Logger.SUCCESS_TYPE,'Pre commit setup successful')
                    }
                    else{
                        Logger.log(Logger.FAILURE_TYPE,'Kindly install eslint extension for Vscode manually.')
                    }
                }
                else{
                    Logger.log(Logger.FAILURE_TYPE,'Kindly retry npm install.Some issue occured in creating eslint config file.')
                }
            }
            else{
                Logger.log(Logger.FAILURE_TYPE,'Kindly retry npm install.Some issue occured in installing plugins')
            }
        }
        else{
            Logger.log(Logger.FAILURE_TYPE,'Retry npm install. Make sure zgit.csez.zohocorpin.com in accessible')
        }
    }
    else{
        Logger.log(Logger.FAILURE_TYPE,'Kindly retry npm install.Some issue occured in setting up husky.')
    }
}

postInstall()
