/* eslint-disable no-console */

const initializeHusky = require('./HuskyCommandsExecution/initializeHusky')
const configurePrecommitHook = require('./HuskyCommandsExecution/configurePrecommitHook')
const { Logger } = require('../../utils/Logger')

let isCustomPrecommitConfigurationSuccessful = false

function setupHusky(){
    let isHuskyInitializedSuccessfully = initializeHusky()

    if(isHuskyInitializedSuccessfully){
        Logger.log(Logger.SUCCESS_TYPE,'Husky installation successful')
        
        isCustomPrecommitConfigurationSuccessful = configurePrecommitHook()
        
        if(isCustomPrecommitConfigurationSuccessful){
            Logger.log(Logger.SUCCESS_TYPE,'Custom pre commit hook setup was successful')
            return true
        }
        else{
            Logger.log(Logger.FAILURE_TYPE,'Couldn\'t configure custom pre commit hook')
            return false
        }
    }
    else{
        return false
    }
}

module.exports = {
    setupHusky
} 