const { spawnSync, execFileSync } = require("child_process");
const {existsSync} = require('fs')
const path = require("path");
function getGitRootPath() {
  const childProcess = spawnSync("git", ["rev-parse", "--show-toplevel"], {
    shell: true
  });
  return childProcess.stdout.toString().split("\n").filter(Boolean).pop();
}

function getClonedDirPath(){
  return path.resolve(__dirname,'..')
}

function getDeleteDirPath(){
  return path.resolve(__dirname,'..','configuration')
}

function deleteFile(filePath) {
  if (existsSync(filePath)) {
    try {
      fs.unlinkSync(filePath);
    } catch (err) {
      throw new Error(`Error while deleting the test data file: ${filePath}`)
    }
  }
}


module.exports = {
  deleteFile,
  getGitRootPath,
  getClonedDirPath,
  getDeleteDirPath
};
